Subject: RE: [Sip] Questions on Max-Forwards

From: Loh Kok Jeng <[email-masked]>
Date: Thu, 24 Oct 2002 11:29:42 +0800

Hi,

One more question on Max-Forwards.  How should an ACK with Max-Forwards 0 
be handled by a proxy or UAS?  One normally does not send a respond to ACK, 
so should ACK with Max-Forwards 0 be silently discarded?  Thanks.

regards,
KJ Loh

> -----Original Message-----
> From: manoj mallik [mailto:[email-masked]]
> Sent: Wednesday, October 23, 2002 11:28 PM
> To: Loh Kok Jeng; Krishna, Samaga; [email-masked]
> Subject: RE: [Sip] Questions on Max-Forwards
> 
> 
> inline
> 
> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]On Behalf 
> Of Loh Kok
> Jeng
> Sent: Wednesday, October 23, 2002 7:10 AM
> To: Krishna, Samaga; [email-masked]
> Subject: RE: [Sip] Questions on Max-Forwards
> 
> 
> Hi,
> 
> Thanks for your reply.  Section 11 says:
> 
>    Alternatively, a server receiving an OPTIONS request with a Max-
>    Forwards header field value of 0 MAY respond to the request
>    regardless of the Request-URI.
> 
> Does it mean that a proxy may send 483 instead of 200?
> 
> >>>>Manoj: It indicates that if the Request is OPTIONS with 
> Max-Forwards 0,
> then it MAY act as final receiptant and respond to the 
> Request irrespective
> of the target in Request-URI. i.e even if the Request-URI is 
> not meant for
> him, it will respond to that OPTIONS request. It doesn't say 
> about the kind
> of Response. However RFC-3261, sec 11.2 Processing of OPTIONS 
> Request, says
> that
> 
>    "If the response to an OPTIONS is generated by a proxy server, the
>    proxy returns a 200 (OK), listing the capabilities of the server.
>    The response does not contain a message body."
> 
> What if the value of Max-Forwards is outside the permitted range
> 0-255?  Should a 400 response be sent?
> 
> Manoj>>>> This is a good question. I think nothing is 
> mentioned in the RFC
> if Max-Forwards is outside the permitted range 0-255. So it 
> is really hard
> to say what should be the response, may be it is 
> implementation dependent.
> 
> regards,
> KJ Loh
> 
> > -----Original Message-----
> > From: Krishna, Samaga [mailto:[email-masked]]
> > Sent: Wednesday, October 23, 2002 5:53 PM
> > To: 'Loh Kok Jeng'; [email-masked]
> > Subject: RE: [Sip] Questions on Max-Forwards
> >
> >
> > Hi Loh,
> >  If proxy receives a request with Max-Forward : 1, the proxy
> > will decrement
> > the count and forward the message.
> > If proxy receives the request with Max-Forward: 0, it should
> > not forward the
> > request. It shall send 483 response. If the request is for
> > OPTIONS, proxy
> > will act as final recipient and respond to it as in the RFC
> > 3261 section 11.
> >
> >
> > have a nice day
> > Prasanna
> >
> >
> >
> > -----Original Message-----
> > From: Loh Kok Jeng [mailto:[email-masked]]
> > Sent: Wednesday, October 23, 2002 1:00 PM
> > To: [email-masked]
> > Subject: [Sip] Questions on Max-Forwards
> >
> >
> > Dear all,
> >
> > If a valid SIP message with "Max-Forwards: 1" is received by
> > a proxy, should
> >
> > the proxy decrement Max-Forwards and forward it, or should it
> > respond with
> > 483?
> >
> > Likewise, how should the proxy handle a message with with
> > Max-Forwards: 0
> > or a negative value?
> >
> > regards,
> > KJ Loh
> > _______________________________________________
> > Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
> > This list is for NEW development of the core SIP Protocol
> > Use [email-masked] for questions on current sip
> > Use [email-masked] for new developments on the application of sip
> >
> _______________________________________________
> Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
> This list is for NEW development of the core SIP Protocol
> Use [email-masked] for questions on current sip
> Use [email-masked] for new developments on the application of sip
> 
_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: Ajit Kalele <[email-masked]>
Date: Thu, 24 Oct 2002 10:35:14 +0530

Hi,

Again as per section 16.3 Request Validation, sub-section 3
Max-Forwards check,

    "If the request contains a Max-Forwards header field with a field
      value greater than zero, the check is passed.

      If the request contains a Max-Forwards header field with a field
      value of zero (0), the element MUST NOT forward the request."

So the ACK with Max-Forwards 0 should be silently discarded.

Best Regards
Ajit

> > > Likewise, how should the proxy handle a message with with

*********************************************************
Disclaimer

This message (including any attachments) contains 
confidential information intended for a specific 
individual and purpose, and is protected by law. 
If you are not the intended recipient, you should 
delete this message and are hereby notified that 
any disclosure, copying, or distribution of this
message, or the taking of any action based on it, 
is strictly prohibited.

*********************************************************
Visit us at http://www.mahindrabt.com